Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 22359)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 22360)
@@ -7,9 +7,10 @@
 	 **************************************************************************/
   jQuery(document).ready(function (jQuery) {
+
     var Type_Img = "";
     var theImg = "";
-    var Zone_image = "";
+    var Zone_image = {};
+    // expire= x *24*60*60*1000
     var OptionsCookie = jQuery.extend({}, { path: '/', expires: 1 });
-
     /***************************************************************************
     * test_theme("mont,pur") ...
@@ -25,24 +26,49 @@
     **************************************************************************/
     Save_cookies = function (parametres) {
+
+      if (!parametres) {
+        jQuery.cookie('windowHeight', jQuery(window).height(), OptionsCookie);
+        jQuery.cookie('windowWidth', jQuery(window).width(), OptionsCookie);
+        jQuery.cookie('picture_deriv', options.pictureDeriv, OptionsCookie);
+        jQuery.cookie('picture_sel_type', options.pictureSelType, OptionsCookie);
+        jQuery.cookie('picture_map', options.pictureMap || options.pictureDeriv, OptionsCookie);
+        return;
+      }
       parametres.windowHeight = jQuery(window).height();
       parametres.windowWidth = jQuery(window).width();
+      if (parametres.windowHeight) jQuery.cookie('windowHeight', parametres.windowHeight, OptionsCookie);
+      if (parametres.windowWidth) jQuery.cookie('windowWidth', parametres.windowWidth, OptionsCookie);
+      if (parametres.pictureDeriv) jQuery.cookie('picture_deriv', parametres.pictureDeriv, OptionsCookie);
+      if (parametres.pictureSelType) jQuery.cookie('picture_sel_type', parametres.pictureSelType, OptionsCookie);
+      if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureMap || parametres.pictureDeriv, OptionsCookie);
+
+      if (!Zone_image.container) return;
+
+      if (Zone_image.container.height) {
+        parametres.theContainerWidth = Zone_image.container.width;
+        parametres.theContainerHeight = Zone_image.container.height;
+      }
+      if (Zone_image.image.height) {
+        parametres.theMainImageWidth = Zone_image.image.width;
+        parametres.theMainImageHeight = Zone_image.image.height;
+      }
+      // if (infos_theMainImage.src == "none") return;
+      // if (!theImg.src.match(RegExp(Zone_image.name, "gi"))) return;
       try {
-        if (parametres.pictureDeriv) jQuery.cookie('picture_deriv', parametres.pictureDeriv, OptionsCookie);
-        if (parametres.pictureSelType) jQuery.cookie('picture_sel_type', parametres.pictureSelType, OptionsCookie);
-        if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureMap, OptionsCookie);
+        if (Zone_image.path) jQuery.cookie('img_calc', Zone_image.path, OptionsCookie);
         if (parametres.imgSrc) jQuery.cookie('img_src', parametres.imgSrc, OptionsCookie);
+        if (parametres.theContainerHeight) jQuery.cookie('theContainerHeight', parametres.theContainerHeight, OptionsCookie);
+        if (parametres.theContainerWidth) jQuery.cookie('theContainerWidth', parametres.theContainerWidth, OptionsCookie);
+
         if (parametres.theMainImageHeight) jQuery.cookie('theMainImageHeight', parametres.theMainImageHeight, OptionsCookie);
         if (parametres.theMainImageWidth) jQuery.cookie('theMainImageWidth', parametres.theMainImageWidth, OptionsCookie);
-        if (parametres.theImageHeight) jQuery.cookie('theImageHeight', parametres.theImageHeight, OptionsCookie);
-        if (parametres.theImageWidth) jQuery.cookie('theImageWidth', parametres.theImageWidth, OptionsCookie);
-        if (parametres.windowHeight) jQuery.cookie('windowHeight', parametres.windowHeight, OptionsCookie);
-        if (parametres.windowWidth) jQuery.cookie('windowWidth', parametres.windowWidth, OptionsCookie);
-        if (parametres.theImageTop) jQuery.cookie('theImageTop', parametres.theImageTop, OptionsCookie);
-        if (parametres.theImageLeft) jQuery.cookie('theImageLeft', parametres.theImageLeft, OptionsCookie);
-        if (parametres.theImageRight) jQuery.cookie('theImageRight', parametres.theImageRight, OptionsCookie);
-        if (parametres.theImageBottom) jQuery.cookie('theImageBottom', parametres.theImageBottom, OptionsCookie);
-        if (parametres.theImageMargeZone) {
-          jQuery.cookie('theImageMargeWidth', parametres.theImageMargeZone.width, OptionsCookie);
-          jQuery.cookie('theImageMargeHeight', parametres.theImageMargeZone.height, OptionsCookie);
+
+        if (parametres.theContainerTop) jQuery.cookie('theContainerTop', parametres.theContainerTop, OptionsCookie);
+        if (parametres.theContainerLeft) jQuery.cookie('theContainerLeft', parametres.theContainerLeft, OptionsCookie);
+        if (parametres.theContainerRight) jQuery.cookie('theContainerRight', parametres.theContainerRight, OptionsCookie);
+        if (parametres.theContainerBottom) jQuery.cookie('theContainerBottom', parametres.theContainerBottom, OptionsCookie);
+        if (parametres.theContainerMargeZone) {
+          if (parametres.theContainerMargeZone.width) jQuery.cookie('theContainerMargeWidth', parametres.theContainerMargeZone.width, OptionsCookie);
+          if (parametres.theContainerMargeZone.height) jQuery.cookie('theContainerMargeHeight', parametres.theContainerMargeZone.height, OptionsCookie);
         }
       } catch (e) {
@@ -56,4 +82,7 @@
     Get_cookies = function () {
       parametres = {
+        windowHeight: jQuery.cookie('windowHeight'),
+        windowWidth: jQuery.cookie('windowWidth'),
+
         pictureDeriv: jQuery.cookie('picture_deriv'),
         pictureMap: jQuery.cookie('picture_map'),
@@ -64,15 +93,12 @@
         theMainImageWidth: jQuery.cookie('theMainImageWidth'),
 
-        windowHeight: jQuery.cookie('windowHeight'),
-        windowWidth: jQuery.cookie('windowWidth'),
-
-        theImageHeight: jQuery.cookie('theImageHeight'),
-        theImageWidth: jQuery.cookie('theImageWidth'),
-        theImageTop: jQuery.cookie('theImageTop'),
-        theImageLeft: jQuery.cookie('theImageLeft'),
-        theImageBottom: jQuery.cookie('theImageBottom'),
-        theImageRight: jQuery.cookie('theImageRight'),
-        theImageMargeZone: { width: jQuery.cookie('theImageMargeWidth'),
-          height: jQuery.cookie('theImageMargeHeight')
+        theContainerHeight: jQuery.cookie('theContainerHeight'),
+        theContainerWidth: jQuery.cookie('theContainerWidth'),
+        theContainerTop: jQuery.cookie('theContainerTop'),
+        theContainerLeft: jQuery.cookie('theContainerLeft'),
+        theContainerBottom: jQuery.cookie('theContainerBottom'),
+        theContainerRight: jQuery.cookie('theContainerRight'),
+        theContainerMargeZone: { width: jQuery.cookie('theContainerMargeWidth'),
+          height: jQuery.cookie('theContainerMargeHeight')
         }
 
@@ -86,5 +112,5 @@
     **************************************************************************/
     Get_type_img = function (e) {
-      // ====== détection du type d'images ======   
+      // ====== détection du type d'images ======
       if (jQuery("#charlie").length > 0) {
         Type_Img = "charlie";
@@ -94,24 +120,23 @@
       } else if (jQuery("#pamoorama").length > 0) {
         Type_Img = "pamoorama";
+        theMainImage_Id = "#pamoorama";
         options.valide = true;
-        infos_pamoorama = jQuery("#pamoorama").infos({ absolute: true });
-
       } else if (jQuery("#map").length > 0 || jQuery("#mapPicture").length > 0) {
         Type_Img = "map";
       } else if (jQuery("#Panorama").length) {
         Type_Img = "panorama";
-      } else if ((jQuery("#theImage" + " iframe").length + jQuery("#theImage" + " object").length + jQuery("#theImage" + " embed").length) > 0) {
-
-        if (jQuery("#theImage" + " object").length > 0) {
+      } else if ((jQuery(theImage_id + " iframe").length + jQuery(theImage_id + " object").length + jQuery(theImage_id + " embed").length) > 0) {
+
+        if (jQuery(theImage_id + " object").length > 0) {
           type_src = "object";
-        } else if (jQuery("#theImage" + " embed").length > 0) {
+        } else if (jQuery(theImage_id + " embed").length > 0) {
           type_src = "embed";
         } else {
           type_src = "iframe";
         }
-        iframes = jQuery("#theImage" + " " + type_src);
+        iframes = jQuery(theImage_id + " " + type_src);
         var st_frame = true;
         nbf = iframes.length;
-        jQuery("#theImage" + " " + type_src).each(function (i) {
+        jQuery(theImage_id + " " + type_src).each(function (i) {
           if (this.src.match(RegExp("http", "gi")) || this.src.match(RegExp("javascript", "gi"))) {
 
@@ -129,5 +154,5 @@
         }
         // 'fb - xfbml - like - button
-        objs = jQuery("#theImage" + " div").get(0);
+        objs = jQuery(theImage_id + " div").get(0);
         if (jQuery(objs).length > 0) {
           id_0 = jQuery(objs).attr("id");
@@ -147,7 +172,7 @@
 
 
-      } else if (jQuery("#theImage").find("img").length > 0) {
+      } else if (jQuery(theImage_id).find("img").length > 0) {
         Type_Img = "img";
-      } else if (jQuery("#theImage" + "Box").find("img").length > 0) {
+      } else if (jQuery(theImage_id + "Box").find("img").length > 0) {
         Type_Img = "img";
         Parent = Parent + "Box";
@@ -165,105 +190,105 @@
     // ====================================
     set_cl = function (Valid) {
-      if (typeof Valid == "undefined") Valid = options.pictureSelType.match(RegExp("Autosize", "gi")) || false;
-      if (typeof options.cl_visible == "undefined") return;
-      if (typeof src1 == "undefined") return;
-      if (options.cl_visible) src = src1;
-      else src = src2;
-      if (typeof options.pictureSelType != "undefined" && (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi")) {
-        if (options.pictureSelType == "SelMaxi") src = src6;
-      } else {
-        Valid = false;
-        src = src2;
-        jQuery("#bp_cla span").text("");
-      }
-      if (options.cl_visible) {
-        src_info = src3;
-        src_infos_1 = src3;
-      } else {
-        src_info = src4;
-        src_infos_1 = src5;
-      }
-      src_info = options.pictureDeriv;
-      if (!Valid) {
-        Zone_image.image.height = Zone_image.image_init.height;
-        Zone_image.image.width = Zone_image.image_init.width;
-
-      }
-
-      if ((typeof Zone_image != "undefined") && typeof Zone_image.image != "undefined") {
-        Zone_image.zoom = (Zone_image.image.height / Zone_image.image_init.height);
-        zoom_cl = parseInt(100 * Zone_image.zoom) + "%"; ;
-        if (!Valid) {
-          if (options.pictureSelType == "SelMaxi")
-            zoom_cl = options.pictureSelType + " [" + options.pictureDeriv + "]";
-          else {
-            zoom_cl = "";
-            src_info = options.pictureDeriv;
+      if (typeof Valid == "undefined")
+        Valid = options.pictureSelType.match(RegExp("Autosize", "gi")) || false;
+      if (typeof options.cl_visible != "undefined" && typeof src1 != "undefined") {
+        if (options.cl_visible) src = src1;
+        else src = src2;
+        if (typeof options.pictureSelType != "undefined" && (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi")) {
+          if (options.pictureSelType == "SelMaxi") src = src6;
+        } else {
+          Valid = false;
+          src = src2;
+          jQuery("#bp_cla span").text("");
+        }
+        if (options.cl_visible) {
+          src_info = src3;
+          src_infos_1 = src3;
+        } else {
+          src_info = src4;
+          src_infos_1 = src5;
+        }
+        src_info = options.pictureDeriv;
+
+
+        if ((typeof Zone_image != "undefined") && typeof Zone_image.image != "undefined") {
+          if (!Valid) {
+            Zone_image.image.height = Zone_image.image_init.height;
+            Zone_image.image.width = Zone_image.image_init.width;
+
           }
-        }
-        if (Type_Img == "pamoorama" || Type_Img == "iframe" || Type_Img == "charlie") {
-          zoom_cl = "";
-          src_info = "";
-          src = src2;
+          Zone_image.zoom = (Zone_image.image.height / Zone_image.image_init.height);
+          zoom_cl = parseInt(100 * Zone_image.zoom) + "%"; ;
+          if (!Valid) {
+            if (options.pictureSelType == "SelMaxi")
+              zoom_cl = options.pictureSelType + " [" + options.pictureDeriv + "]";
+            else {
+              zoom_cl = "";
+              src_info = options.pictureDeriv;
+            }
+          }
+          if (Type_Img == "pamoorama" || Type_Img == "iframe" || Type_Img == "charlie") {
+            // zoom_cl = "";
+            // src_info = "";
+            // src = src2;
+          };
+
+          jQuery('#bp_cla').attr('alt', src_info);
+          jQuery('#bp_cla').attr('title', src_info);
+          jQuery('#bp_cla').attr('Stitle', src_info);
+          jQuery('#bp_cla').attr('Stip', zoom_cl);
+          jQuery('#bp_cla span').text(zoom_cl);
+          color_back = jQuery('#imageToolBar').css("backgroundColor");
+          try {
+            if (color_back.match(new RegExp("rgb", "gi"))) {
+              color_back = color_back.split("(")[1].split(")")[0].split(",");
+              color_back = "rgb(" + Math.abs(255 - color_back[0]) + ","
+    					+ Math.abs(255 - color_back[1]) + ","
+    					+ Math.abs(255 - color_back[2]) + ")";
+            }
+            else if (color_back.match(new RegExp("#", "gi")))
+              color_back = Math.abs("#65536" - color_back);
+            else
+              color_back = jQuery('body').css("color");
+            jQuery('#bp_cla span').css({ color: color_back, aling: "center" });
+          } catch (e) {
+
+          }
+          jQuery("#derivativeSwitchBox span").removeClass("auto_details linkAutosize");
+          jQuery("#derivativeSwitchBox a").removeClass("auto_details linkAutosize");
+          if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
+            spans = jQuery("#derivativeChecked" + options.pictureSelType).next();
+            spans.addClass("linkAutosize");
+            spans.find("span").addClass("auto_details");
+            jQuery(".auto_details").text("");
+          }
+          if (options.pictureDeriv) {
+            jQuery(".switchCheck").css({ visibility: "hidden" });
+            if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
+              jQuery("#derivativeChecked" + options.pictureSelType).css("visibility", "visible");
+              jQuery("#derivativeChecked" + options.pictureDeriv + ".switchCheck").css({ visibility: "visible", color: "grey" });
+            } else
+              jQuery("#derivativeChecked" + options.pictureDeriv).css("visibility", "visible");
+            jQuery('.auto_details').text(" (" + Zone_image.image.width + " x " + Zone_image.image.height + ") " + options.pictureDeriv);
+          }
+          // ===============================================
+        } else {
+          src = src6;
+          jQuery('.auto_details').text("");
+
+        }
+        bp_scr = jQuery('#bp_img_cla');
+        if (bp_scr.length > 0) {
+          src_enc = bp_scr.attr("src");
+          if (!src_enc.match(src)) {
+            bp_scr.get(0).src = src;
+            jQuery('#bp_img_cla').attr('alt', src_info);
+            jQuery('#bp_img_cla').attr('title', src_info);
+          }
         };
-
-        jQuery('#bp_cla').attr('alt', src_info);
-        jQuery('#bp_cla').attr('title', src_info);
-        jQuery('#bp_cla').attr('Stitle', src_info);
-        jQuery('#bp_cla').attr('Stip', zoom_cl);
-        r = { width: jQuery("#theMainImage").width(), height: jQuery("#theMainImage").height(),
-          rap: jQuery("#theMainImage").width() / jQuery("#theMainImage").height(),
-          rap_init: Zone_image.image_init.rapport
-        };
-        jQuery('#bp_cla span').text(zoom_cl);
-        color_back = jQuery('#imageToolBar').css("backgroundColor");
-        try {
-          if (color_back.match(new RegExp("rgb", "gi"))) {
-            color_back = color_back.split("(")[1].split(")")[0].split(",");
-            color_back = "rgb(" + Math.abs(255 - color_back[0]) + ","
-                + Math.abs(255 - color_back[1]) + ","
-                + Math.abs(255 - color_back[2]) + ")";
-          }
-          else if (color_back.match(new RegExp("#", "gi")))
-            color_back = Math.abs("#65536" - color_back);
-          else
-            color_back = jQuery('body').css("color");
-          jQuery('#bp_cla span').css({ color: color_back, aling: "center" });
-        } catch (e) {
-
-        }
-        jQuery("#derivativeSwitchBox span").removeClass("auto_details linkAutosize");
-        jQuery("#derivativeSwitchBox a").removeClass("auto_details linkAutosize");
-        if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
-          spans = jQuery("#derivativeChecked" + options.pictureSelType).next();
-          spans.addClass("linkAutosize");
-          spans.find("span").addClass("auto_details");
-          jQuery(".auto_details").text("");
-        }
-        if (options.pictureDeriv) {
-          jQuery(".switchCheck").css({ visibility: "hidden" });
-          if (options.pictureSelType == "Autosize" || options.pictureSelType == "SelMaxi") {
-            jQuery("#derivativeChecked" + options.pictureSelType).css("visibility", "visible");
-            jQuery("#derivativeChecked" + options.pictureDeriv + ".switchCheck").css({ visibility: "visible", color: "grey" });
-          } else
-            jQuery("#derivativeChecked" + options.pictureDeriv).css("visibility", "visible");
-          jQuery('.auto_details').text(" (" + Zone_image.image.width + " x " + Zone_image.image.height + ") " + options.pictureDeriv);
-        }
-        // ===============================================
-      } else {
-        src = src6;
-        jQuery('.auto_details').text("");
-
-      }
-      bp_scr = jQuery('#bp_img_cla');
-      if (bp_scr.length > 0) {
-        src_enc = bp_scr.attr("src");
-        if (!src_enc.match(src)) {
-          bp_scr.get(0).src = src;
-          jQuery('#bp_img_cla').attr('alt', src_info);
-          jQuery('#bp_img_cla').attr('title', src_info);
-        }
-      };
-      Affiche_limite(pictureSelType_user);
+        if (typeof Affiche_limite != "function") return;
+        Affiche_limite(pictureSelType_user);
+      }
+      Save_cookies(options);
     };
     // ____________________ set_cl _____________________________
@@ -273,9 +298,5 @@
     **************************************************************************/
     Set_llbgo = function (Force) {
-
       if (options.marges_llgbo == 0) return;
-      if (Type_Img == "pamoorama") {
-
-      }
       if (Force)
         if (typeof LlgboFr_Resize == "function") {
@@ -319,159 +340,9 @@
     // __________ Set_llbgo _______________
     var wpng = 0;
-    /***************************************************************************
-    * window LOAD
-    **************************************************************************/
-    jQuery(window).load(function () {
-      location_href = location.href;
-      // =======================================================================
-      infos_theImage = jQuery(theImage_id).infos({ absolute: true });
-      infos_theMainImage = jQuery(theMainImage_id).infos({ absolute: true });
-      infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
-      // general
-      the_mainImage_obj = "theMainImage_obj";
-      infos_theMainImage_obj = jQuery("#" + the_mainImage_obj).infos({ absolute: true });
-
-      infos_theMainImage_obj.rapport = infos_theMainImage_obj.width / infos_theMainImage_obj.height;
-      if (infos_theMainImage.width == 0) {
-        if (Type_Img == "pamoorama") {
-          infos_theMainImage = jQuery("#pamoorama").infos(true);
-          theMainImage_id = "#pamoorama";
-          options.valide = true;
-        } else if (Type_Img == "charlie") {
-          infos_theMainImage = jQuery("#charlie").infos(true);
-          theMainImage_id = "charlie";
-          options.valide = true;
-        } else if (Type_Img == "iframe") {
-          infos_theMainImage = jQuery("#iframe").infos(true);
-          options.valide = true;
-          infos_theMainImage.width = infos_theImage.general.width;
-          infos_theMainImage.height = infos_window.height - infos_theImage.top - options.marge_basse;
-          jQuery("#iframe").width(infos_theMainImage.width);
-          jQuery("#iframe").height(infos_theMainImage.height);
-        } else {
-          jQuery("img").each(function (i) {
-            imgSrc = options.imgSrc;
-          });
-          infos_theMainImage = jQuery("#theImage img").infos();
-        }
-        if (infos_theMainImage.id == "")
-          jQuery("#theImage img").attr("id", "theMainImage");
-        infos_theMainImage = jQuery(theMainImage_id).infos();
-      }
-
-      infos_theImage = jQuery(theImage_id).infos(true);                 // conteneur
-      if (options.pictureSelType != "Autosize" && options.pictureSelType != "SelMaxi") {
-        jQuery('#derivativeSwitchLink').show();
-      }
-      if (test_theme("simple")) {
-        jQuery(theMainImage_id).css({ maxWidth: "none" });
-        theImageAndInfos_id = "#content";
-        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
-        // general
-        infos_theImage.height = infos_window.height - infos_theImage.top;
-        // jQuery(theImage_id).height(infos_theImage.height);
-
-      } else {
-        infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
-        // general
-        if (infos_theImageAndInfos.visible == false)
-          theImageAndInfos_id = "#imageContainer";
-      }
-
-
-      imageInfos_id = "#imageInfos";
-
-      content_id = "#content";
-      infos_content = jQuery(content_id).infos(true);                 // conteneur
-      infos_theImage = jQuery(theImage_id).infos(true);                 // conteneur
-      infos_imageInfos = jQuery(imageInfos_id).infos(true);             // information
-      infos_theMainImage = jQuery(theMainImage_id).infos(true);         // Image
-      infos_copyright = jQuery("#copyright").infos(true);
-
-
-      if (infos_theImage.top > infos_window.height) {
-        zheight = infos_window.height - infos_content.top;
-      } else {
-        zheight = infos_window.height - (infos_theImage.top);
-      }
-
-
-      if (options.check_desc_v) { }
-
-      infos_comments = jQuery("#comments").infos(true);
-      infos_Licence = jQuery(".licencetag").infos(true);
-      infos_imageComment = jQuery(imageComment_id).infos(true);
-
-
-
-      if (test_theme("simple")) {
-
-
-      } else {
-        if (test_theme("stripped")) {
-
-        } else
-
-          if (test_theme("blanc , pure, hr_ ")) {
-            options.marge_gauche += 10;
-            options.marge_droite += 10;
-          }
-      }
-      Zone_image = { image_init: {
-        width: infos_theMainImage.width,
-        height: infos_theMainImage.height,
-        rapport: infos_theMainImage.width / infos_theMainImage.height
-      },
-        image: {
-          width: infos_theImage.general.width,
-          height: infos_window.height - infos_theImage.top - options.marge_basse,
-          rapport: infos_theMainImage.width / infos_theMainImage.height
-        },
-        container: {
-          width: infos_theImage.general.width,
-          height: zheight,
-          margesWidth: infos_window.width - infos_theImage.width
-        }, marges: {
-          height: 0,
-          width: 0
-        }
-      };
-      Zone_image.zoom = (Zone_image.image.height / Zone_image.image_init.height);
-
-      /***********************************************************************
-      * RESIZE (une fois document chargé)
-      **********************************************************************/
-
-      jQuery(window).resize(function (event, ui) {
-        Autosize_resize(true, options);
-      });
-      // _____________ widow.resize _______________
-
-      type_src = "div";
-      old_window = { width: 0, height: 0 };
-      List_autosize = new Array();
-      nu_img = 0;
-      tempo = 0;
-
-
-      infos_llgbo = jQuery(llgbo_id).infos(true);
-      infos_llgboh2 = jQuery("#llgboh2").infos(true);
-      marges_llgbo = 0;
-      // ==========================================================================================
-      init_gen();
-    });
-    // __________________window.onload_________________
-
-    /***************************************************************************
-    * window unLOAD
-    **************************************************************************/
-    jQuery(window).unload(function () {
-   
-      // return;
-    });
-    // _________ unload ___________
+
 
     // ===================
     // VARIABLES
+    // ===================
 
 
@@ -482,4 +353,5 @@
       options = { imageAutosize: false };
     }
+    if (typeof Autosize_options == "undefined") return;
     options = jQuery.extend(Autosize_options, options);
 
@@ -511,4 +383,5 @@
     DEBUG_autosize = options.DEBUG_autosize;
     OptionsCookie = jQuery.extend({}, { path: options.COOKIE_PATH, expires: 1 });
+
     var cookies = Get_cookies();
     fade_in = options.fade_in || 0;
@@ -526,7 +399,7 @@
     var infos_window = jQuery(window).infos();
     var infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre
-    // general  
-    var infos_content = jQuery("#content").infos(true);
-    var infos_the_page = jQuery("#the_page").infos(true);
+    // general
+    var infos_content = jQuery("#content").infos({ absolute: true });
+    var infos_the_page = jQuery("#the_page").infos({ absolute: true });
     var nopano = false;
     var llgbo_id = "#llgbo0";
@@ -540,5 +413,7 @@
     var pictureSelType_user = eval("options." + user_status + "_type"); // limite
     // taille
-
+    var path_names = new Array();
+    var img_finale = null;
+    var mypanorama = null;
 
     if (pictureSelType_user != "Autosize" && pictureSelType_user != "SelMaxi") {
